<link href="https://fonts.googleapis.com/css?family=Athiti:600" rel="stylesheet">

<ion-header no-border style="margin-top: 5%; margin-bottom: 5%;">
  <ion-navbar>
    <!-- <button ion-button (click)=back()>
    </button> -->
  </ion-navbar>
</ion-header>

<ion-content class="auth-bg bg-all">
  <ion-grid style="margin-top: 10%;">

      <ion-row>
          <ion-col col-12 class="menudiv" text-center>
              <ion-item no-lines class="menubar">
                <ion-label class="fontmenu">รายชื่อนักเรียน</ion-label>
              </ion-item>
              <ion-item no-border no-lines class="level">
                <img style="border-radius: 50%;" class="image-title" src="{{student_img}}">
                <ion-icon *ngIf="student_level == '1' || student_level == '2' " name="md-bookmark" class="bookmark"></ion-icon>
                <ion-icon *ngIf="student_level == '1' " name="md-star" class="star"></ion-icon>
              </ion-item>
            </ion-col>
      </ion-row>
    <ion-row>
    
      <ion-col col-12 style="margin-top: 5%;">
        <ion-item no-lines class="box-score">

          <ion-col col-12>
            <table style="width:98%">

              <thead>
                <tr>
                  <th class="font-title">ชื่อ</th>
                  <th class="font-title1">นามสกุล</th>
                  <th class="font-title2">สถานะ</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let item of student">
                  <td *ngIf="item.fname != ''" class="font-score2">
                    {{item.fname}}</td>
                  <td *ngIf="item.fname != ''" class="font-score2">
                    {{item.lname}}</td>
                  <td *ngIf="item.fname != ''" class="font-score1">
                    <input #saveComing id="saveComing" type="checkbox" checked="{{item.IsComing}}" 
                      (change)="onSaveComing(saveComing.checked,item.id)" />
                  </td>
                </tr>
              </tbody>

            </table>
          </ion-col>

        </ion-item>
      </ion-col>


          <button style="width: 30%; height:40px; margin-left: 35%; font-size: 4vw; margin-top: 20px;" ion-button class="btnhome" (click)="saveCheck()">
             บันทึก
          </button>
      <!-- <div col-12>
          <button ion-button full class="btnhome" (click)="back()">
              <p class="name4">ย้อนกลับ</p>
          </button>
      </div> -->

    </ion-row>
  </ion-grid>

</ion-content>